11/92

The files in this directory are most of what you need to build GS
2.52 for the Atari ST from the standard unix source.  Just overwrite
the corresponding GS files with these.

In addition to the contents of this directory, you will need lots of
memory, lots of disk space, and some properly working Unix-like tools.
MiNT is probably required, but you may be able to get by without it.
You will need at least:

gcc >= 1.40 (I used 2.22 and mintlibs PL 24),
a good make program (I used gnu make 3.58),
a good sh clone (I use ash, which requires MiNT).

Here is a brief description of the files in this directory.

changed    -		A list of changes I made to the GS source.
makefile   -		The gcc/Atari ST makefile. If constructed from
				the diffs, this file will be named
				unix-gcc.mak. Just rename it to tos-gcc.mak
				or just makefile.

malloc_.h  -		General header file modified to include the Atari.

stprint.h  -		Header file needed for centronics printing.
gdevprn.h  -\		Printer device files modified for direct
gdevprn.c  -/			 centronics printing.

gp_atari.c -		Atari specific source code, including the
				centronics printing routines.
gdevvdi.c  -		The Atari screen device.
gdevslm.c  -		The SLM laser printer device.
gdevgimg.c -		The GEM image format device.
gdevdjet.c -		The deskjet device, I had to change the margins
				a little to keep images from being cut off.

gssetmod   -\		Unix bourne shell scripts modified slightly
gsaddmod   -|_		to work with ash under MiNT. Your mileage may
gsconfig   -|		vary (i.e. change these for your setup, especially
gssetdev   -/		the path to sh).

